/***************************************************************************/
/**
	@file		string_addon.h
	@brief		some additional clever string functions
	@brief		Target/Compiler: AVR_MEGA / GCC(WinAVR)
	@author		Gerhard Bruenner
	@version	V0.11

	@date		2009.10.31  - Created              - GB

	@bug		none that I am aware so far

\***************************************************************************/


#define   STRING_ADDON_H

/* Include-Dateien
****************************************************************************/
#include <stdio.h>

/* Internal Defines
****************************************************************************/
 	
/* Function Prototypes
****************************************************************************/
void r_trim(char *string, char sign);
void l_trim(char *string, char sign);
void trim(char *string, char sign);
int8_t split_string(char *string, char *splitted_string,char split_sign, uint8_t max_char2copy);
int8_t string_copy(char *string_source, char *string_dest, uint8_t ui_max_char);

/* globale int Variablen
****************************************************************************/

/* Functions
****************************************************************************/



#undef  STRING_ADDON_H
